# eric6.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.purge

Module implementing the purge extension interface.

### Global Attributes

None

### Classes

Purge | Class implementing the purge extension interface.

### Functions

None

## Purge

Class implementing the purge extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Purge | Constructor
__getEntries | Private method to get a list of files/directories being purged.
hgPurge | Public method to purge files and directories not tracked by Mercurial.
hgPurgeList | Public method to list files and directories not tracked by Mercurial.
shutdown | Public method used to shutdown the purge interface.

### Static Methods

None

#### Purge (Constructor)

Purge(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Purge.__getEntries

__getEntries(repodir, deleteAll)

Private method to get a list of files/directories being purged.

repodir
  directory name of the repository (string)
deleteAll
  flag indicating to delete all files including ignored ones (boolean)

Returns:
  name of the current patch (string)

#### Purge.hgPurge

hgPurge(name, deleteAll=False)

Public method to purge files and directories not tracked by Mercurial.

name
  file/directory name (string)
deleteAll
  flag indicating to delete all files including ignored ones (boolean)

#### Purge.hgPurgeList

hgPurgeList(name, deleteAll=False)

Public method to list files and directories not tracked by Mercurial.

name
  file/directory name (string)
deleteAll
  flag indicating to list all files including ignored ones (boolean)

#### Purge.shutdown

shutdown()

Public method used to shutdown the purge interface.

Up